#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <iomanip>
#include <deque>
#include <queue>
#include <numeric>
#include <algorithm>
#include <cmath>
#include <ctime>
#include <random>
#include "triangles.h"
using namespace std;

#define ll long long
#define ld long double
#define all(a) (a).begin(),(a).end()
#define rall(a) (a).rbegin(),(a).rend()
mt19937 rnd(time(0));

int bin_pow(int x, int y) {
	if (y == 0) return 1;
	if (y % 2 == 0) {
		int b = bin_pow(x, y / 2);
		return b * b;
	}
	else {
		return  x * bin_pow(x, y - 1);
	}
}



bool cmp(const Triangle& a, const Triangle& b) {
	return compare(a, b) > 0;
}

vector<vector<int>> solve(int n) {
	vector<Triangle> poss;
	for (int i = 0; i < n; i++) {
		for (int j= i + 1; j < n; j++) {
			for (int k = j + 1; k < n; k++) {
				Triangle v;
				v = { i,j,k };
				poss.push_back(v);
			}
		}
	}
	sort(all(poss), cmp);
	return { {poss[0].i,poss[0].j,poss[0].k}};
}